class MenuLayer extends PH.Layer {
    game: Game;

    constructor(game: Game) {
        super();
        this.game = game;
    }

    draw() {
        let titleIm = <CanvasImageSource>this.game.data['title'];
        this.game.ctx.drawImage(titleIm, Math.floor(160 - <number>titleIm.width / 2), 30);
        this.game.mainFont.drawCenteredText(this.game.ctx, "A game by Michael Pauley", 160, 110);
    }

}